/**
  *  \file planetscentral/talk/db.h
  */
#ifndef C2SERVER_PLANETSCENTRAL_TALK_DB_H
#define C2SERVER_PLANETSCENTRAL_TALK_DB_H

#define MESSAGE_ROOT          "msg:"
#define RFC_MSGID_ROOT        "msgid:"
#define THREAD_ROOT           "thread:"
#define FORUM_ROOT            "forum:"
#define GROUP_ROOT            "group:"

#define PM_ROOT               "pm:"
#define DEFAULT_FOLDER_ROOT   "default:folder:"

#define GAME_ROOT             "game:"
#define USER_ROOT             "user:"

enum PMSystemFolder {
    PMSystemInboxFolder  = 1,
    PMSystemOutboxFolder = 2
};

enum {
    PMStateRead      = 1,
    PMStateReplied   = 2,
    PMStateForwarded = 4
};

#endif
