/**
  *  \file planetscentral/format/stringpacker.cc
  *  \brief Format - String Packer
  */

#include "planetscentral/format/stringpacker.h"
#include "planetscentral/dbclient/connection.h"

string_t
StringPacker::pack(IntValue* data)
{
    return packString(toStringResult(data));
}

IntValue*
StringPacker::unpack(const string_t& data)
{
    return makeStringValue(unpackString(data));
}
