/**
  *  \file planetscentral/talk/notify.h
  *  \brief Talk: Email notifications
  */
#ifndef C2SERVER_PLANETSCENTRAL_TALK_NOTIFY_H
#define C2SERVER_PLANETSCENTRAL_TALK_NOTIFY_H

#include "planetscentral/dbclient/connection.h"

class Message;
class Topic;
class Forum;
class UserPM;

void notifyMessage(Message& msg, Topic& topic, Forum& forum);
void notifyPM(UserPM& msg, const StringList_t& notifyIndividual, const StringList_t& notifyGroup);

#endif
